//=============================================================================
//
// YAC.NET: Yet another Caller ID Program, .NET Edition
// Copyright  2007 Michael Coyle (michael.coyle@BlueToque.ca)
// http://www.BlueToque.ca/Products/YAC.NET.html
//
//=============================================================================
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using YAC_NET.Data;
using YAC_NET.Utility;

namespace YAC_NET.Forms
{
    /// <summary>
    /// Presents and edits a list of YAC listeners
    /// YAC will send CALL and RING events to the listeners
    /// </summary>
    public partial class ListenerForm : Form
    {
        public ListenerForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Show the Dialog box
        /// </summary>
        /// <param name="mainForm"></param>
        new internal static void Show(IWin32Window mainForm)
        {
            FormUtil.Show<ListenerForm>(mainForm);
        }

        private void myCallerIDDebugButton_Click(object sender, EventArgs e)
        {
            Configuration.Current.Notify(CallerIDType.CreateDebugCallerID());
        }

    }
}