//=============================================================================
//
// YAC.NET: Yet another Caller ID Program, .NET Edition
// Copyright  2007 Michael Coyle (michael.coyle@BlueToque.ca)
// http://www.BlueToque.ca/Products/YAC.NET.html
//
//=============================================================================
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;
using System.Threading;
using System.Diagnostics;

using YAC_NET.Properties;
using YAC_NET.Data;
using YAC_NET.Utility;

namespace YAC_NET.Forms
{
    /// <summary>
    /// The ConfigureModem form sets the COM port to use and figures out
    /// what modem init string to use to activate callerID
    /// </summary>
    public partial class ConfigureModemForm : Form
    {
        /// <summary>
        /// Constructor, initialize the events
        /// </summary>
        public ConfigureModemForm()
        {
            InitializeComponent();
        }
    
        /// <summary>
        /// Show the dialog box
        /// </summary>
        /// <param name="mainForm"></param>
        new internal static void Show(IWin32Window mainForm)
        {
            FormUtil.Show<ConfigureModemForm>(mainForm);
        }

    }
}