//=============================================================================
//
// YAC.NET: Yet another Caller ID Program, .NET Edition
// Copyright  2007 Michael Coyle (michael.coyle@BlueToque.ca)
// http://www.BlueToque.ca/Products/YAC.NET.html
//
//=============================================================================
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using YAC_NET.Data;
using YAC_NET.Properties;
using YAC_NET.Utility;

namespace YAC_NET.Forms
{
    /// <summary>
    /// The phone book is a list of numbers and their friendly names
    /// </summary>
    public partial class PhoneBookForm : Form
    {
        public PhoneBookForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Show the form
        /// </summary>
        /// <param name="parent"></param>
        /// <returns></returns>
        new internal static void Show(IWin32Window parent)
        {
            FormUtil.Show<PhoneBookForm>(parent);
        }

        /// <summary>
        /// Select the newest item in the list
        /// </summary>
        public void SelectNewest()
        {
            phoneBookControl1.SelectNewest();
        }

   }
}